# c-36_tui.py 
# obj: cree une Hagelin de type C (M209, C446, ...)

import sys
from c36classes import *
from c36_pkey import restore
import string


# ===================================
def is_maj(car):
    if string.ascii_uppercase.find(car) == -1: 
        return 0
    else:
        return 1
#============================================
if len(sys.argv) < 3:
        print("syntax : c36_tui.py InternKey_file ExternKey ", end=' ')
        print(" [ modele [debug]]")
        print("Example: echo AAAAA | python c36_tui.py MB AAAAA")
        print("       the InternKey_file need to end by .key")
        print("Modele: c35, c36 (without overlap), over (with overlaps)")
        print("        or Lugs (ex: 1:2:4:8:10) by default: c36")
        sys.exit(1)
KEYINTERN= sys.argv[1]
KEYEXTERN= sys.argv[2]
MODELE = "c36"
debug = 0
if len(sys.argv) > 3: 
    MODELE = sys.argv[3]
    if len(sys.argv) > 4:
        debug = 1

c = c36( "Z", MODELE, debug)
cryptogramme = ""
restore(c, KEYINTERN)
c.setExternalKey(KEYEXTERN)
if debug : c.info()

#--------------------------------------
leTexte = sys.stdin.readlines()
crypto = ""    
for i in range(len(leTexte)):
    ch = leTexte[i]
    ch = ch.upper()
    for j in range(len(ch)):
        if not is_maj(ch[j]):
            continue
        car = c.cipher(ch[j])
        crypto = crypto + car

print(crypto)
